Bug 204423 - Review Request: libstroke - A stroke interface library
Review Request: libstroke - A stroke interface library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 204598
  Show dependency treegraph
 
Reported: 2006-08-28 19:49 EDT by Chitlesh GOORAH
Modified: 2008-12-22 22:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 19:38:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2006-08-28 19:49:19 EDT
Spec URL: http://chitlesh.googlepages.com/libstroke.spec
SRPM URL: http://chitlesh.googlepages.com/libstroke-0.5.1-6.src.rpm
Description: 
LibStroke is a stroke interface library.  Strokes are motions
of the mouse that can be interpreted by a program as a command.
Comment 1 Mamoru TASAKA 2006-08-30 12:54:47 EDT
First review for libstroke:

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :

   * Licensing
     + This package says it is distributed under GPL, however,
       this does not include the copy of GPL license.
       I won't block this package by this issue, however, it is
       recommended that you ask for upstream to include GPL
       documents to this package.

   * Requires
     - %package -n libgstroke-devel
       Conflicts:         libstroke-devel

       What does this mean? Is there any way to remove this
       conflict sentence?

    * BuildRequirs
      - texinfo
        Is this really required? It seems that makeinfo is not
        used in rebuilding.
      - libX11-devel <- required by gtk+-devel

    * File and Directory Ownership
      %{_datadir}/libstroke
      %{_datadir}/libstroke/java
      %{_datadir}/libstroke/test
      --- not owned by any packages.

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

    = Nothing.

3. Other things I have noticed

    = Nothing.
Comment 2 Chitlesh GOORAH 2006-08-30 13:32:10 EDT
(In reply to comment #1)
> First review for libstroke:
> 
> 1. From http://fedoraproject.org/wiki/Packaging/Guidelines :
> 
>    * Licensing
>      + This package says it is distributed under GPL, however,
>        this does not include the copy of GPL license.
>        I won't block this package by this issue, however, it is
>        recommended that you ask for upstream to include GPL
>        documents to this package.
> 
I've contacted upstream.

>    * Requires
>      - %package -n libgstroke-devel
>        Conflicts:         libstroke-devel
> 
>        What does this mean? Is there any way to remove this
>        conflict sentence?
> 

I don't see how.


Updatedb:
Spec URL: http://chitlesh.funpic.de/rpm/libstroke.spec
SRPM URL: http://chitlesh.funpic.de/rpm/libstroke-0.5.1-7.src.rpm
Comment 3 Mamoru TASAKA 2006-08-30 14:26:30 EDT
Well:

* I just want to know why libgstroke-devel conflicts with
  libstroke-devel .

* %{_datadir}/stroke/ (in main package)
  Well, no. When writing as this, this (main) package includes
  the directory %{_datadir}/stroke/ and all files under this
  directory. If you want to include only the directory, explicit
  declaration of %dir is needed.
Comment 4 Chitlesh GOORAH 2006-08-30 14:49:11 EDT
There are suprisingly not much difference, only libgstroke-devel is the gnome
bindings of libstroke-devel.
Comment 5 Chitlesh GOORAH 2006-08-30 14:53:30 EDT
Updated:
Spec URL: http://chitlesh.funpic.de/rpm/libstroke.spec
SRPM URL: http://chitlesh.funpic.de/rpm/libstroke-0.5.1-8.src.rpm
Comment 6 Mark Willey 2006-08-30 14:58:57 EDT
I'm not sure why there is a conflict -- is that some artifact of your packaging
system?  (Which I'm not familiar with.)  I'll put COPYING in the next release. 
I haven't made a release for a long time, but I'll do so to resolve that and the
conflict issue, if we can figure out exactly what's broken there and if there's
something for me to fix on my release.  
Comment 7 Mamoru TASAKA 2006-08-30 15:01:28 EDT
(In reply to comment #4)
> There are suprisingly not much difference, only libgstroke-devel is the gnome
> bindings of libstroke-devel.

Umm.. I still cannot understand why these conflicts each other.
( as Mark says )
* File lists do not make duplicate.
* When using libstroke-devel, it requires to write "include <stroke.h>"
  in source code and to use -lstroke. On the other hand when using
  libgstroke-devel they changes to "include <gstroke.h>" and -lgstroke .
  They never overwrite each other.
Comment 8 Chitlesh GOORAH 2006-08-30 15:26:50 EDT
Ok, the "conflict" in the spec was written by the previous packager. I thought
it was founded enough.

Updated:
Spec URL: http://chitlesh.funpic.de/rpm/libstroke.spec
SRPM URL: http://chitlesh.funpic.de/rpm/libstroke-0.5.1-9.src.rpm
Comment 9 Mamoru TASAKA 2006-08-30 15:32:42 EDT
Well:

As was in main package
%files -n %{name}-devel
%{_datadir}/stroke/tests/
%{_datadir}/stroke/tests/stroke_test
%{_datadir}/stroke/tests/stroke_test.tcl

%files -n javastroke
%{_datadir}/stroke/java/
%{_datadir}/stroke/java/*.java

These are duplicates. Please check file entries so that
* all necessary files and directories are owned.
* duplicate files are not listed.
Comment 11 Mamoru TASAKA 2006-08-30 16:03:15 EDT
(In reply to comment #10)
> Updated:
> Spec URL: http://chitlesh.funpic.de/rpm/libstroke.spec
> SRPM URL: http://chitlesh.funpic.de/rpm/libstroke-0.5.1-10.src.rpm

Well, not yet okay.

rpm -qlp *0.5.1*rpm | sort says

/usr/share/stroke/tests
/usr/share/stroke/tests/gnome_stroke_test
/usr/share/stroke/tests/gnome_stroke_test
/usr/share/stroke/tests/stroke_test
/usr/share/stroke/tests/stroke_test.tcl
/usr/src/debug/libstroke-0.5.1

... /usr/share/stroke/tests/gnome_stroke_test is owned by
    libstroke-devel and libgstroke-devel

and... from this package: there is a case that
only libgstroke and libgstroke-devel and libstroke are installed:

in that case the directory %{_datadir}/stroke/tests/ is not owned
by any packages. This is not correct.

So:
%files -n %{name}
%defattr(-,root,root)
%doc README COPYRIGHT ChangeLog NEWS AUTHORS TODO CREDITS
%dir %{_datadir}/stroke/
%dir %{_datadir}/stroke/tests/
%{_libdir}/libstroke.so.*

%files -n %{name}-devel
%defattr(-,root,root)
%doc doc/standard_strokes*
%{_datadir}/stroke/tests/stroke_test*
%{_datadir}/aclocal/libstroke.m4
%{_libdir}/libstroke.so
%{_includedir}/stroke.h

%files -n libgstroke
%defattr(-,root,root)
%doc README COPYRIGHT ChangeLog NEWS AUTHORS TODO CREDITS
%{_libdir}/libgstroke.so.*

%files -n libgstroke-devel
%defattr(-,root,root)
%doc README.libgstroke
%{_datadir}/stroke/tests/gnome_stroke_test
%{_datadir}/aclocal/libgstroke.m4
%{_libdir}/libgstroke.so
%{_includedir}/gstroke.h

%files -n javastroke
%defattr(-,root,root)
%doc javastroke/README
%{_datadir}/stroke/java/

is correct (I think. check it).
Comment 13 Mamoru TASAKA 2006-08-31 22:50:01 EDT
Well, now the files/directories ownership consistency is okay.

I checked my mock build and it turned out that automake is 
unnecessary for BuildRequires as automake and so on is not
called in rebuilding and I suceeded in rebuilding this with
automake removed from BR.

Please remove automake from BuildRequires, which is the only
things to be fixed.

This package is APPROVED by me.
Comment 14 Chitlesh GOORAH 2008-12-21 14:33:03 EST
New Package CVS Request
=======================
Package Name: libstroke
Short Description: A stroke interface library
Owners: chitlesh
Branches: EL-5
Comment 15 Kevin Fenzi 2008-12-22 22:19:58 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.